Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files
Summary: Translatability: Resolve some remaining %%] problems for staff client in 6 Files
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 18:43 UTC by Marc Véron
Modified: 2017-06-27 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files (10.15 KB, patch)
2017-05-30 18:47 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files (10.22 KB, patch)
2017-06-06 08:09 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18703 - Followup, fix typo "statment" (1.34 KB, patch)
2017-06-06 08:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files (10.27 KB, patch)
2017-06-16 18:35 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 18703 - Followup, fix typo "statment" (1.39 KB, patch)
2017-06-16 18:35 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-30 18:43:44 UTC
There are some more files that expose parts of tt diretives to translations, mostly due to line breaks inside directives.

Files covered with this Bug:

koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
 koha-tmpl/intranet-tmpl/prog/en/includes/circ-menu.inc
koha-tmpl/intranet-tmpl/prog/en/includes/search_indexes.inc
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt
koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/members-update.tt
Comment 1 Marc Véron 2017-05-30 18:47:40 UTC
Created attachment 63852 [details] [review]
Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files

There are some more files that expose parts of tt diretives to translations, mostly due to
line breaks inside directives.

Files covered with this Bug:

koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
 koha-tmpl/intranet-tmpl/prog/en/includes/circ-menu.inc
koha-tmpl/intranet-tmpl/prog/en/includes/search_indexes.inc
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt
koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/members-update.tt

To test:
- Review code, verify that line breaks are removed
- Run QA tools
- Bonus test: Create a "language" aa-AA and verify that no fragments
  containign %%] are picked for the 6 files
Comment 2 Josef Moravec 2017-06-06 08:09:12 UTC
Created attachment 64031 [details] [review]
[SIGNED-OFF] Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files

There are some more files that expose parts of tt diretives to translations, mostly due to
line breaks inside directives.

Files covered with this Bug:

koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
 koha-tmpl/intranet-tmpl/prog/en/includes/circ-menu.inc
koha-tmpl/intranet-tmpl/prog/en/includes/search_indexes.inc
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt
koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/members-update.tt

To test:
- Review code, verify that line breaks are removed
- Run QA tools
- Bonus test: Create a "language" aa-AA and verify that no fragments
  containign %%] are picked for the 6 files

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Josef Moravec 2017-06-06 08:09:15 UTC
Created attachment 64032 [details] [review]
[SIGNED-OFF] Bug 18703 - Followup, fix typo "statment"

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Brendan Gallagher 2017-06-16 18:35:22 UTC
Created attachment 64411 [details] [review]
Bug 18703 - Translatability: Resolve some remaining %%] problems for staff client in 6 Files

There are some more files that expose parts of tt diretives to translations, mostly due to
line breaks inside directives.

Files covered with this Bug:

koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
 koha-tmpl/intranet-tmpl/prog/en/includes/circ-menu.inc
koha-tmpl/intranet-tmpl/prog/en/includes/search_indexes.inc
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt
koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/members-update.tt

To test:
- Review code, verify that line breaks are removed
- Run QA tools
- Bonus test: Create a "language" aa-AA and verify that no fragments
  containign %%] are picked for the 6 files

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Brendan A Gallagher <brendan@bywatersolutions.com>
Comment 5 Brendan Gallagher 2017-06-16 18:35:33 UTC
Created attachment 64412 [details] [review]
Bug 18703 - Followup, fix typo "statment"

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Brendan A Gallagher <brendan@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-06-16 20:05:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-27 14:56:53 UTC
Pushed to 17.05.x, will be in 17.05.02

Trivial enhancement and useful for translation on stable branches.
Comment 8 Katrin Fischer 2017-06-27 22:03:01 UTC
These patches have been pushed to 16.11.x and will be in 16.11.10.

Changes to members-update.tt did not apply to 16.11.x and were removed from the patch.